---
title: "AgentUpdateRequest"
url: "https://developers.bynder.com/apis/agents/versions/f5aecf98-613e-4ae8-b26a-ec2cdf804b2c/schemas/AgentUpdateRequest"
---

> Full API specification: https://developers.bynder.com/apis/agents/versions/f5aecf98-613e-4ae8-b26a-ec2cdf804b2c.md

# AgentUpdateRequest

Request body for a partial update. All fields are optional. Capabilities cannot be changed after the agent is created.

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: AI Agents
  version: "1.0"
servers:
  - url: https://{your-bynder-domain}/
components:
  schemas:
    PromptInput:
      type: object
      description: The prompt to set on an agent when you create or edit it. Unlike
        the read-only `Prompt` in responses, `id` and `version` are optional
        here.
      required:
        - text
      properties:
        id:
          type: string
          format: uuid
        version:
          type: integer
          format: int32
        text:
          type: string
          maxLength: 10000
    AgentUpdateRequest:
      type: object
      description: Request body for a partial update. All fields are optional.
        Capabilities cannot be changed after the agent is created.
      properties:
        autoApply:
          type: boolean
        name:
          type: string
          maxLength: 50
        description:
          type: string
          maxLength: 130
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - DRAFT
        prompt:
          $ref: "#/components/schemas/PromptInput"
        agentProperties:
          type: object
          additionalProperties: true
```
